%define	api 0.4
%define major 0
%define	libname %mklibname %name %{api} %{major}
%define develname %mklibname %{name} -d

Summary:	SDL MPEG Library
Name:		smpeg
Version:	0.4.5
Release:	%mkrel 14
License:	LGPLv2
Group:		Video/Utilities
URL:		https://icculus.org/smpeg/
Source0:	%{name}-%{version}.tar.xz
Patch0:		smpeg-0.4.5-libsupc++.patch
Patch1:		smpeg-0.4.5-fix-header.patch
Patch2:		smpeg-0.4.4-format_not_a_string_literal_and_no_format_arguments.diff
Patch3:		smpeg-0.4.5-link.patch
BuildRequires:	mesa-common-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(slang)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(gtk+-2.0)

%description
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder and SPLAY,
an mpeg audio decoder created by Woo-jae Jung. We have completed the
initial work to wed these two projects in order to create a general
purpose MPEG video/audio player for the Linux OS.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
#gw smpeg-config calls sdl-config
Requires:	pkgconfig(sdl)

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package 	player
Summary:	Simple MPEG player based on %{name} library
Group:		Video/Players

%description player
This package contains a MPEG player based on %{name}.

%prep
%setup -q
%patch -P 0 -p1 -b .libsupc++
%patch -P 1 -p1 -b .header
%patch -P 2 -p0 -b .format_not_a_string_literal_and_no_format_arguments
%patch -P 3 -p0 -b .link

touch NEWS AUTHORS ChangeLog
pushd acinclude
rm -f lt*.m4 libtool.m4
popd

%build
export CFLAGS="%{optflags} -Wno-error=narrowing"
autoreconf -fi -Iacinclude
%configure --disable-rpath --disable-static \
%ifarch x86
	--disable-mmx \
%endif

%make_build

%install
%make_install

%multiarch_binaries %{buildroot}%{_bindir}/smpeg-config

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files player
%doc README
%{_bindir}/plaympeg
%{_bindir}/glmovie
%{_bindir}/gtv
%{_mandir}/*/*

%files -n %{libname}
%doc README
%{_libdir}/lib%{name}-%{api}.so.%{major}
%{_libdir}/lib%{name}-%{api}.so.%{major}.*

%files -n %{develname}
%doc CHANGES COPYING README
%{_bindir}/smpeg-config
%multiarch %{multiarch_bindir}/smpeg-config
%{_includedir}/*
%{_libdir}/lib*.so
%{_datadir}/aclocal/smpeg.m4


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.4.5-14.mga10
+ Revision: 2232403
- Mageia 10 Mass Rebuild

* Sun Dec 22 2024 pterjan <pterjan> 0.4.5-13.mga10
+ Revision: 2128170
- Rebuild for patchN deprecation

* Fri Apr 01 2022 umeabot <umeabot> 0.4.5-12.mga9
+ Revision: 1839129
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.4.5-11.mga8
+ Revision: 1517072
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.4.5-10.mga7
+ Revision: 1301081
- Mageia 7 Mass Rebuild

* Wed Oct 11 2017 daviddavid <daviddavid> 0.4.5-9.mga7
+ Revision: 1170900
- try with -Wno-error=narrowing compile flags

* Mon Feb 08 2016 umeabot <umeabot> 0.4.5-8.mga6
+ Revision: 946821
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.5-7.mga5
+ Revision: 749066
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.5-6.mga5
+ Revision: 689216
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.5-5.mga4
+ Revision: 518416
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.4.5-4.mga3
+ Revision: 382217
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 fwang <fwang> 0.4.5-3.mga3
+ Revision: 305387
- fix develname

* Sun Oct 14 2012 fwang <fwang> 0.4.5-2.mga3
+ Revision: 305383
- fix linkage
- deal with libtool m4
- touoch empty files
- add include dir
- new snapshot
- fix new name
- drop unused provides
- fix libname and develname

* Sat Feb 05 2011 ahmad <ahmad> 0.4.5-1.mga1
+ Revision: 47100
- ship an svn snapshot, version 0.4.5; there hasn't been a tarball in a long time
- drop patch0, there's a --disable-rpath switch now
- rediff patch1,4
- drop patch2,3 fixed upstream
- drop patch6, it uses gtk+2.0 now
- drop BR esound-devel (esound is getting phased out of the distro)
- drop BR automake1.4
- add BR gtk+2.0-devel to compile the GTK player
- use libtoolize as we ship an svn snapshot (autogen.sh doesn't work)
- disable-static and delete .la
+ supp <supp>
- fix make process
- imported package smpeg


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.4-42mdv2011.0
+ Revision: 607546
- rebuild

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.4.4-41mdv2010.0
+ Revision: 427199
- rebuild

* Fri Mar 20 2009 Michael Scherer <misc@mandriva.org> 0.4.4-40mdv2009.1
+ Revision: 359135
- completly remove gtk1 ( as we recreate the configure, the option was not enough )
- disable gtk1 player, so we can get ride of gtk1

* Tue Dec 23 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.4-39mdv2009.1
+ Revision: 317835
- fix build with -Werror=format-security (P5)

* Sun Aug 17 2008 Funda Wang <fwang@mandriva.org> 0.4.4-38mdv2009.0
+ Revision: 273025
- rebuild for new dfb

* Fri Jul 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.4-37mdv2009.0
+ Revision: 231787
- fix deps
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.4-35mdv2008.1
+ Revision: 179508
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Herton Ronaldo Krzesinski <herton@mandriva.com.br>
    - Updated URL field.


* Mon Feb 19 2007 Giuseppe Ghibò <ghibo@mandriva.com> 0.4.4-33mdv2007.0
+ Revision: 122860
- Rebuilt.

* Mon Feb 19 2007 Giuseppe Ghibò <ghibo@mandriva.com> 0.4.4-32mdv2007.1
+ Revision: 122825
- Rebuilt against latest rpm-mandriva-setup.

* Mon Feb 19 2007 Giuseppe Ghibò <ghibo@mandriva.com> 0.4.4-31mdv2007.1
+ Revision: 122700
- rebuilt again.

* Mon Feb 19 2007 Giuseppe Ghibò <ghibo@mandriva.com> 0.4.4-30mdv2007.1
+ Revision: 122658
- Rebuilt against latest libggi.

* Mon Jan 15 2007 Götz Waschk <waschk@mandriva.org> 0.4.4-29mdv2007.1
+ Revision: 109041
- patch to fix build with current gcc
- unpack patches

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add XDG Menu
    - Remove old debian menu
    - Import smpeg

* Wed Jan 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.4.4-28mdk
- fix underquoted calls (P3)
- %%mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.4.4-27mdk
- Rebuild

* Mon Jan 31 2005 Olivier Blin <blino@mandrake.org> 0.4.4-26mdk
- multiarch support

* Fri Nov 12 2004 Götz Waschk <waschk@linux-mandrake.com> 0.4.4-25mdk
- rebuild

* Fri Jun 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.4.4-24mdk
- rebuild
- force use of automake1.4
- cosmetics

